package com.platomix.intchannel.mapper;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.platomix.intchannel.model.FinanceBillAudit;
import com.platomix.intchannel.model.YksytFinanceBillAudit;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 结算单审核表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2022-04-07
 */
@Mapper
public interface YksytFinanceBillAuditMapper extends BaseMapper<YksytFinanceBillAudit> {

    List<Long> customAidList(Page<YksytFinanceBillAudit> page,
                             @Param(Constants.WRAPPER) QueryWrapper<YksytFinanceBillAudit> queryWrapper);

    long customCount(@Param(Constants.WRAPPER) QueryWrapper<YksytFinanceBillAudit> queryWrapper);

    List<YksytFinanceBillAudit> customList(@Param(Constants.WRAPPER) QueryWrapper<YksytFinanceBillAudit> queryWrapper);

}
