package com.platomix.intchannel.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 结算单类型字典表
 * </p>
 *
 * @author zbc
 * @since 2022-08-23
 */
@Data
@TableName("DIM_DEAL_TYPE")
@ApiModel(value = "DimDealType对象", description = "结算单类型字典表")
public class DimDealType implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "结算单类型ID")
    @TableField("DEAL_TYPE_ID")
    private Integer dealTypeId;

    @ApiModelProperty(value = "结算单类型名称")
    @TableField("DEAL_TYPE")
    private String dealType;


}
