/**
 * 
 */
package com.platomix.intchannel.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.platomix.intchannel.model.FinanceBillAudit;

/**
 * @author wookvn
 *
 */
@Mapper
public interface FinanceBillAuditMapper extends BaseMapper<FinanceBillAudit> {

	public List<FinanceBillAudit> customList(@Param(Constants.WRAPPER) QueryWrapper<FinanceBillAudit> queryWrapper);
	
	public long customCount(@Param(Constants.WRAPPER) QueryWrapper<FinanceBillAudit> queryWrapper);
	
	public List<Long> customAidList(IPage<FinanceBillAudit> page, 
			@Param(Constants.WRAPPER) QueryWrapper<FinanceBillAudit> queryWrapper);
}
